# DataExchange
TKSTEP
STEPConstruct

# STEPConstruct_DataMapIteratorOfDataMapOfAsciiStringTransient Class Reference

`#include <STEPConstruct_DataMapIteratorOfDataMapOfAsciiStringTransient.hxx>`

## Public Member Functions

void * | operator new (size_t, void *anAddress)
void * | operator new (size_t size)
void | operator delete (void *anAddress)
Standard_EXPORT | STEPConstruct_DataMapIteratorOfDataMapOfAsciiStringTransient ()
Standard_EXPORT | STEPConstruct_DataMapIteratorOfDataMapOfAsciiStringTransient (const STEPConstruct_DataMapOfAsciiStringTransient &aMap)
Standard_EXPORT void | Initialize (const STEPConstruct_DataMapOfAsciiStringTransient &aMap)
Standard_EXPORT const TCollection_AsciiString & | Key () const
Standard_EXPORT const Handle_Standard_Transient & | Value () const

## Constructor & Destructor Documentation

Standard_EXPORT STEPConstruct_DataMapIteratorOfDataMapOfAsciiStringTransient::STEPConstruct_DataMapIteratorOfDataMapOfAsciiStringTransient | ( |  | ) |

Standard_EXPORT STEPConstruct_DataMapIteratorOfDataMapOfAsciiStringTransient::STEPConstruct_DataMapIteratorOfDataMapOfAsciiStringTransient | ( | const STEPConstruct_DataMapOfAsciiStringTransient & | aMap | ) |

## Member Function Documentation

Standard_EXPORT void STEPConstruct_DataMapIteratorOfDataMapOfAsciiStringTransient::Initialize | ( | const STEPConstruct_DataMapOfAsciiStringTransient & | aMap | ) |

Standard_EXPORT const TCollection_AsciiString& STEPConstruct_DataMapIteratorOfDataMapOfAsciiStringTransient::Key | ( |  | ) | const

void STEPConstruct_DataMapIteratorOfDataMapOfAsciiStringTransient::operator delete | ( | void * | anAddress | ) | `[inline]`

void* STEPConstruct_DataMapIteratorOfDataMapOfAsciiStringTransient::operator new | ( | size_t | size | ) | `[inline]`

void* STEPConstruct_DataMapIteratorOfDataMapOfAsciiStringTransient::operator new | ( | size_t | ,
|  | void * | anAddress
| ) | `[inline]`

Standard_EXPORT const Handle_Standard_Transient& STEPConstruct_DataMapIteratorOfDataMapOfAsciiStringTransient::Value | ( |  | ) | const

The documentation for this class was generated from the following file:

- STEPConstruct_DataMapIteratorOfDataMapOfAsciiStringTransient.hxx